<template>
<div>
  <md-table v-model="clients" md-sort="name" md-sort-order="asc" md-card md-fixed-header>
    <md-table-toolbar>
      <h1 class="md-title">Clienti</h1>
    </md-table-toolbar>

    <md-table-row slot="md-table-row" slot-scope="{ item }">
      <md-table-cell md-label="ID" md-numeric>{{ item.id }}</md-table-cell>
      <md-table-cell md-label="Nome" md-sort-by="name">{{ item.name }}</md-table-cell>
      <md-table-cell md-label="Indirizzo" md-sort-by="address">{{ item.address }}</md-table-cell>
      <md-table-cell md-label="Progetto" md-sort-by="projects">{{ item.projects }}</md-table-cell>
      <md-table-cell md-label="Ricerca" md-sort-by="researches">{{ item.researches }}</md-table-cell>
    </md-table-row>
  </md-table>
</div>
</template>

<script>
import {url} from "@/main";
import axios from 'axios';

export default {
  name: "Clients",
  data() {
    return {
      clients: []
    }
  },
  mounted() {
    axios.get(url + 'clients')
    .then(response => this.clients = response.data)
  }
}
</script>

<style scoped>
</style>